# Create Permanent Route Address

## POST /v0/customers/{customer\_id}/cross-chain-transfer/permanent-route-address

> Generate a personalized address for Cross-Chain Transfers

```json
{"openapi":"3.0.0","info":{"title":"Cross Chain Transfers API","version":"0"},"servers":[{"url":"https://api.alignlabs.dev","description":"Production server"},{"url":"https://api-sandbox.alignlabs.dev","description":"Sandbox server"}],"paths":{"/v0/customers/{customer_id}/cross-chain-transfer/permanent-route-address":{"post":{"summary":"Generate a personalized address for Cross-Chain Transfers","parameters":[{"name":"customer_id","in":"path","description":"The unique identifier of the customer","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Api-Key","in":"header","description":"Your secret API key, available in the developer dashboard. Include this header on every request to authenticate your application.","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreatePermanentRouteAddressRequestBodyModel"}}}},"responses":{"200":{"description":"Successful retrieval of liquidation address","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PermanentRouteAddressModel"}}}}}}}},"components":{"schemas":{"CreatePermanentRouteAddressRequestBodyModel":{"type":"object","properties":{"destination_network":{"type":"string","description":"The blockchain network for the destination","enum":["polygon","ethereum"]},"destination_token":{"type":"string","description":"The token for the destination.<br>\n<strong>Note:</strong> Base network only supports <strong>usdc</strong>, while Tron network only supports <strong>usdt</strong>\n","enum":["usdc","usdt"]},"destination_address":{"type":"string","description":"The blockchain address where the funds will be sent"}},"required":["destination_network","destination_token","destination_address"]},"PermanentRouteAddressModel":{"type":"object","properties":{"permanent_route_address_id":{"type":"string","format":"uuid","description":"The unique identifier for the permanent route address"},"route_chain_addresses":{"type":"object","properties":{"ethereum":{"type":"object","properties":{"address":{"type":"string","description":"The permanent route address for the customer on EVM-compatible chains"}}},"base":{"type":"object","properties":{"address":{"type":"string","description":"The permanent route address for the customer on EVM-compatible chains"}}},"polygon":{"type":"object","properties":{"address":{"type":"string","description":"The permanent route address for the customer on EVM-compatible chains"}}},"tron":{"type":"object","properties":{"address":{"type":"string","description":"The permanent route address for the customer on TRON network"}}},"solana":{"type":"object","properties":{"address":{"type":"string","description":"The permanent route address for the customer on Solana network"}}}}},"route_destination":{"type":"object","properties":{"network":{"type":"string","description":"The blockchain network for the destination"},"token":{"type":"string","description":"The token for the destination","enum":["usdc","usdt"]},"address":{"type":"string","description":"The blockchain address where the funds will be sent"}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.alignlabs.dev/align-api/cross-chain-transfers/create-permanent-route-address.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
